Package ghidra.program.util

# Class PcodeFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.PcodeFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class PcodeFieldLocation extends ProgramLocation

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PcodeFieldLocation()`
  Get the row within a group of pcode strings.
  `PcodeFieldLocation(Program program, Address addr, List<String> pcodeStrings, int row, int charOffset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `List<String>`
  `getPcodeStrings()`
  `int`
  `hashCode()`
  `void`
  `restoreState(Program p, SaveState obj)`
  Restore this program location using the given program and save state object.
  `void`
  `saveState(SaveState obj)`
  Save this program location to the given save state object.
  `String`
  `toString()`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy, isValid`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PcodeFieldLocation

    public PcodeFieldLocation(Program program, Address addr, List<String> pcodeStrings, int row, int charOffset)

  - ### PcodeFieldLocation

    public PcodeFieldLocation()
    Get the row within a group of pcode strings.

- ## Method Details

  - ### getPcodeStrings

    public List<String> getPcodeStrings()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ProgramLocation`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ProgramLocation`

  - ### saveState

    public void saveState(SaveState obj)
    Description copied from class: `ProgramLocation`
    Save this program location to the given save state object.
    Overrides:
      `saveState` in class `ProgramLocation`
    Parameters:
      `obj` - the save state object for saving the location

  - ### restoreState

    public void restoreState(Program p, SaveState obj)
    Description copied from class: `ProgramLocation`
    Restore this program location using the given program and save state object.
    Overrides:
      `restoreState` in class `ProgramLocation`
    Parameters:
      `p` - program to restore from
      `obj` - the save state to restore from

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ProgramLocation`